swagger: "2.0"

info:
  version: 10.1.2
  title: Iniciar solicitação
  description: "Responsável por criar uma nova solicitação no BPM."
  contact: 
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

tags:
  - name: "BPM - Solicitação"
  - name: "BPM - Serviço de Integração"

paths:
  /start-process:
    post:
      description: "Retorna a instância do processo criado (processInstanceID)."
      deprecated: false

definitions:
  bodyData:
    type: object
    required:
      - processId
      - businessData
    properties:
      processId:
        type: integer
        description: "Número do processo"
      businessData:
        type: string
        description: "Variáveis de Negócio do Processo"
      title:
        type: string
        description: "Título opcional da solicitação"
      nextSubject:
        type: string
        description: "Responsável que vai receber a próxima ação, obrigatório caso o mecanismo de atribuição retorne mais de um responsável"

  outputData:
    type: object
    required:
      - processInstanceID
    properties:
      id:
        type: integer
        description: "processInstanceID"
